#pragma once

#include "PointSelector.h"
#include "CameraHandler.h"
#include "CoasterWorld.h"

#include <FL/FL_Gl_Window.h>

class Config;

class CoasterWindow :
	public Fl_Gl_Window, public FltkListener
{
private:
	CameraHandler camera;
	PointSelector selector;

	Config& cfg;

public:
	CoasterWindow(int, int, int, int, char*);
public:
	~CoasterWindow(void);

	void draw();



	int handle(int e) {return FltkListener::handle(e);}
	int process(int e);
};
