#include "FltkListener.h"
#include "Config.h"

#include <iostream>

#include <FL/Fl.h>

using namespace std;

FltkListener::FltkListener(void)
{
}

FltkListener::~FltkListener(void)
{
}

void FltkListener::add(FltkListener* n)
{
	children.push_back(n);
}

int FltkListener::handle(int e)
{
	int i = 0;

	vector<FltkListener*>::iterator iter;

	for (iter = children.begin(); iter != children.end(); iter++)
		i += (*iter)->handle(e);

	i += process(e);

	Config::instance().refresh_data();

	if (e == FL_PUSH || e == FL_DRAG)
	{
		Config::instance().change(1);
	}

	return i != 0 ? 1 : 0;
}
