#include "Scenery.h"
#include "tree_renderable.h"

#include "global.h"

Scenery::Scenery(void)
{
}

Scenery::~Scenery(void)
{
}

void Scenery::drawThis()
{
	if (!cfg.draw_scenery())
		return;
	draw_scenery();

	
	for (int i = 0; i < 9; ++i) {
	glPushMatrix();
	glRotatef(40 * i, 0, 0, 1);
	glTranslatef(400, 0, 0);
	glRotatef(-20 * i, 0, 0, 1);
	draw_scenery();
	glPopMatrix();
	}

	
	for (int i = 0; i < 18; ++i) {
	glPushMatrix();
	glRotatef(20 * i, 0, 0, 1);
	glTranslatef(800, 0, 0);
	glRotatef(10 * i, 0, 0, 1);
	draw_scenery();
	glPopMatrix();
	}

	for (int i = 0; i < 27; ++i) {
	glPushMatrix();
	glRotatef(15 * i, 0, 0, 1);
	glTranslatef(1300, 0, 0);
	glRotatef(85 * i, 0, 0, 1);
	draw_scenery();
	glPopMatrix();
	}



}

void Scenery::draw_scenery()
{
	glPushMatrix();
	tree_renderable tree;
	


	glPushMatrix();
	glTranslatef(50, 100, 0);
	glScalef(5, 5, 5);
	tree.draw();
	glPopMatrix();



	glPushMatrix();
	glTranslatef(100, -200, 0);
	glScalef(5, 5, 5);
	tree.draw();
	glPopMatrix();





	glPushMatrix();
	glTranslatef(-60, -120, 0);
	glScalef(4, 4, 4);
	tree.draw();
	glPopMatrix();





	glPushMatrix();
	glTranslatef(-120, -40, 0);
	glScalef(4, 5, 5);
	tree.draw();
	glPopMatrix();


	glPopMatrix();
		
}