#pragma once



#include <FL/Fl_Button.h>
#include <ctime>
#include <string>

class animate_button :
	public Fl_Button
{
	static double seconds;

	static void animate(void* cui);
	static void idle();
public:
	animate_button(int x, int y, int w, int h, char* label = 0) : Fl_Button(x, y, w, h, label) 
	{
	}

	static void idle_callback(void* v);

	~animate_button(void);
	
};

