#include "person.h"

#include "global.h"

#include <Fl/Glut.h>

person::person(void)
{
}

person::~person(void)
{
}

void person::draw(Point p)
{
	
	glPushMatrix();
	typedef Point::triple triple;
	
	
	p.normalize();
	triple up, out, dir, pos;
	up = p.normal();
	out = p.out();
	pos = p.position();
	dir = p.direction();

	glTranslatef(pos.x, pos.y, pos.z);

	gl_rotate(dir, out, up);

	glColor3f(0.2,0.4,0.6);
	glPushMatrix();
	glTranslatef(0, 0, 3);
	glScalef(0.5, 1, 2);
	glutSolidCube(2);
	glPopMatrix();

	glColor3f(0.9,0.9,0.9);
	glPushMatrix();
	glTranslatef(0, 0, 5.3);
	glScalef(0.7, 0.7, 0.7);
	glutSolidSphere(1, 10, 10);
	glPopMatrix();

	double target = 0;
	if (dir.z < 0)
		target = 2.5 * asin(sqrt(abs(dir.z))) * 180 / 3.1415927;

	if (target > 180) target = 180;


	glPushMatrix();
	glTranslatef(0, 1, 4.8);
	glRotatef(-target, 0, 1, 0);
	glTranslatef(0, 0, -1);
	glScalef(0.2, 0.2, 1);
	glutSolidCube(2);
	glPopMatrix();

	glPushMatrix();
	glTranslatef(0, -1, 4.8);
	glRotatef(-target, 0, 1, 0);
	glTranslatef(0, 0, -1);
	glScalef(0.2, 0.2, 1);
	glutSolidCube(2);
	glPopMatrix();
	

	glPopMatrix();
}