#include "tree_renderable.h"

#include <windows.h>
#include <Fl/Gl.h>

tree_renderable::tree_renderable(void)
{
}

tree_renderable::~tree_renderable(void)
{
}


void tree_renderable::drawThis() 
{
	static float v[24] = {-0.5,  0.5,  2,
						  -0.5, -0.5,  2,
						   0.5,  0.5,  2,
						   0.5, -0.5,  2,						  
						   0.5,  0.5,  0,
						   0.5, -0.5,  0,
						  -0.5,  0.5,  0,
						  -0.5, -0.5,  0 };

	glPolygonMode(GL_FRONT, GL_FILL);	

	glColor3f(0.4, 0.35, 0.3);

	glBegin(GL_QUAD_STRIP);
		glVertex3fv(v);
		glVertex3fv(v + 3);
		glVertex3fv(v + 6);
		glVertex3fv(v + 9);
		glVertex3fv(v + 12);
		glVertex3fv(v + 15);
		glVertex3fv(v + 18);
		glVertex3fv(v + 21);
	glEnd();
	glBegin(GL_QUAD_STRIP);
		glVertex3fv(v + 6);
		glVertex3fv(v + 12);
		glVertex3fv(v);
		glVertex3fv(v + 18);
		glVertex3fv(v + 3);
		glVertex3fv(v + 21);
		glVertex3fv(v + 9);
		glVertex3fv(v + 15);
	glEnd();

	glBegin(GL_QUAD_STRIP);
		glVertex3fv(v);
		glVertex3fv(v + 3);
		glVertex3fv(v + 6);
		glVertex3fv(v + 9);
		glVertex3fv(v + 12);
		glVertex3fv(v + 15);
		glVertex3fv(v + 18);
		glVertex3fv(v + 21);
	glEnd();
	glBegin(GL_QUAD_STRIP);
		glVertex3fv(v + 6);
		glVertex3fv(v + 12);
		glVertex3fv(v);
		glVertex3fv(v + 18);
		glVertex3fv(v + 3);
		glVertex3fv(v + 21);
		glVertex3fv(v + 9);
		glVertex3fv(v + 15);
	glEnd();

	static float t[24] = {-2,  2,  2,
						  -2, -2,  2,
						   2,  2,  2,
						   2, -2,  2,						  
						   0,  0,  8,
						  };

	glColor3f(0.1, 0.9, 0.6);

	glBegin(GL_QUADS);
		glVertex3fv(t + 9);
		glVertex3fv(t + 3);
		glVertex3fv(t);
		glVertex3fv(t + 6);
	glEnd();
	glBegin(GL_TRIANGLES);
		glVertex3fv(t + 12);
		glVertex3fv(t);
		glVertex3fv(t + 3);

		glVertex3fv(t + 12);
		glVertex3fv(t + 3);
		glVertex3fv(t + 9);

		glVertex3fv(t + 12);
		glVertex3fv(t + 9);
		glVertex3fv(t + 6);

		glVertex3fv(t + 12);
		glVertex3fv(t + 6);
		glVertex3fv(t);

	glEnd();



}