#pragma once
#include "fl\fl_gl_window.h"

#include "CameraHandler.h"
#include "PointSelector.h"
#include "FltkListener.h"

#include "CoasterWorld.h"


class Config;

class CoasterSideView :
	public Fl_Gl_Window, public FltkListener
{
private:
	Config& cfg;
	CameraHandler camera;
	PointSelector selector;

public:
	CoasterSideView(int, int, int, int, char*);
public:
	~CoasterSideView(void);

	void draw();

	int handle(int e) {return FltkListener::handle(e);}
	int process(int);
};
