#include "GroundPlane.h"

#include "global.h"

using namespace std;

GroundPlane::GroundPlane(void)
{
}

GroundPlane::~GroundPlane(void)
{
}

void GroundPlane::drawThis()
{
	glPolygonMode(GL_FRONT, GL_FILL);

	glColor3f(0.1, 0.8, 0.2);
	glBegin(GL_QUADS);
		glVertex3f(-5000, -5000, 0);
		glVertex3f(5000, -5000, 0);
		glVertex3f(5000, 5000, 0);
		glVertex3f(-5000, 5000, 0);
	glEnd();


	glColor3f(0.5, 0.8, 0.95);
	glBegin(GL_QUADS);
		glVertex3f(-5000, -5000, 2000);
		glVertex3f(-5000, 5000, 2000);
		glVertex3f(5000, 5000, 2000);
		glVertex3f(5000, -5000, 2000);
	glEnd();

	if (!Config::instance().draw_axes())
		return;

	glDisable(GL_DEPTH_TEST);

	glBegin(GL_LINES);
		glColor3f(0, 0, 0);
		glVertex3f(0, 0, -300);
		
		glColor3f(0, 0, 1.0);
		glVertex3f(0, 0, 0);

		glVertex3f(0, 0, 0);
		
		glColor3f(1.0, 1.0, 1.0);
		glVertex3f(0, 0, 300);



		glColor3f(0, 0, 0);
		glVertex3f(0, -300, 0);
		
		glColor3f(0, 1.0, 0.0);
		glVertex3f(0, 0, 0);

		glVertex3f(0, 0, 0);
		
		glColor3f(1.0, 1.0, 1.0);
		glVertex3f(0, 300, 0);



		glColor3f(0, 0, 0);
		glVertex3f(-300, 0, 0);
		
		glColor3f(1.0, 0, 0);
		glVertex3f(0, 0, 0);

		glVertex3f(0, 0, 0);
		
		glColor3f(1.0, 1.0, 1.0);
		glVertex3f(300, 0, 0);
	glEnd();

	glEnable(GL_DEPTH_TEST);

}
